<?php

/*
Plugin Name: WP-UserLogin Widget
Plugin URI: http://wordpress.org/extend/plugins/wp-userlogin/
Description: Adds a UserLogin Widget to display login form or dashboard links depending on login status.
Version: 2.3.2
Author: Jerry Stephens
Author URI: http://wayofthegeek.org/
*/


/*  
	Copyright 2007  Jerry Stephens  (email : migo@wayofthegeek.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

add_action('admin_menu','option_page');

function option_page(){
	add_theme_page('UserLogin','خيارات تسجيل الدخول',10,__FILE__,'userlogin_options');	
}

function userlogin_options(){
	        
	$newvalue = "";
	$autoload = "yes";
	$deprecated = " ";
	$boxvalue = array('CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED');
	$option = array('set_nonlog','set_log','redirect','set_checkbox');
	add_option($option[0],"الدخول",$deprecated,$autoload);
	add_option($option[1],"لوحة التحكم",$deprecated,$autoload);
	add_option($option[2],'',$deprecated,$autoload);
	add_option('set_checkbox',$boxvalue,$deprecated,$autoload);
	$check = get_option('set_checkbox');
	$redirect = get_option('redirect');
?>
		<div class="wrap">
		<h2>خيارات تسجيل الدخول</h2>
	<form method="post" action="options.php">
	<?php wp_nonce_field('update-options'); ?>
	<table><tr><td valign="top">
		<h3 style="margin:0;">عنوان صندوق الدخول:</h3>
		<input type="text" name="set_nonlog" size="15" value="<?php echo get_option($option[0]); ?>" />
		<br /><small>عنوان صندوق القائمة الجانبية عندما تكون مسجل الخروج</small>
		<h3 style="margin: 0;">عنوان صندوق لوحة التحكم:</h3>
		<input type="text" name="set_log" size="15" value="<?php echo get_option($option[1]); ?>" />
		<br /><small>عنوان صندوق القائمة الجانبية عندما تكون مسجل الدخول</small>
		<h3 style="margin: 0;">صفحة اعادة التوجيه:</h3>
		<input type="text" name="redirect" size="15" value="<?php echo $redirect; ?>" />
		<br /><small>رجاء استخدم عنوان كامل<br />(التحويل تلقائيا الى صفحة اخرى عند نجاح التسجيل)</small>
	</td><td>&nbsp;</td>
	<td valign="top">
	
	<h3 style="margin: 0;">قائمة لوحة التحكم:</h3>
	<input type="checkbox" name="set_checkbox[0]" value="CHECKED" <?php echo $check[0]; ?> /> لوحة التحكم<br />
	<input type="checkbox" name="set_checkbox[1]" value="CHECKED" <?php echo $check[1]; ?> /> تدوينة جديدة<br />
	<input type="checkbox" name="set_checkbox[2]" value="CHECKED" <?php echo $check[2]; ?> />تحرير التدوينات<br />
	<input type="checkbox" name="set_checkbox[3]" value="CHECKED" <?php echo $check[3]; ?> />القوالب<br />
	<input type="checkbox" name="set_checkbox[4]" value="CHECKED" <?php echo $check[4]; ?> /> الاعدادات العامة<br />
	<input type="checkbox" name="set_checkbox[5]" value="CHECKED" <?php echo $check[5]; ?> /> الأعضاء<br />
	<input type="checkbox" name="set_checkbox[6]" value="CHECKED" <?php echo $check[6]; ?> /> الملف الشخصي<br />
	<input type="checkbox" name="set_checkbox[7]" value="CHECKED" <?php echo $check[7]; ?> /> تسجيل خروج<br />

	</td></tr></table>
	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="page_options" value="set_nonlog,set_log,redirect,set_checkbox" />
	<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('حفظ التغيرات')?> " />
	</p>
<?php
}

function initial_db($args){
	$newvalue = "";
	$autoload = "yes";
	$deprecated = " ";
	$boxvalue = array('CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED','CHECKED');
	$option = array('set_nonlog','set_log','redirect','set_checkbox');
	add_option($option[0],"Login",$deprecated,$autoload);
	add_option($option[1],"Control Panel",$deprecated,$autoload);
	add_option($option[2],'',$deprecated,$autoload);
	add_option('set_checkbox',$boxvalue,$deprecated,$autoload);
	$check = get_option('set_checkbox');
	$redirect = get_option('redirect');
}

function widget_userlogin_init() {
	if (!function_exists('register_sidebar_widget')) {
        return;
	}

###Function: User Permissions
function user_permissions($args){
	$wp_url = get_settings('siteurl');
	$check = get_option('set_checkbox');
	$vals = explode(',',$args);		
	foreach($vals as $val)	{
	
	if($check[0] == "CHECKED" && $val == "0"){
		$link[0] = '<li><a href="'.$wp_url.'/wp-admin/">لوحة التحكم</a></li>';
	}
	if($check[1] == "CHECKED" && $val == "1"){
$link[1]= '<li><a href="'.$wp_url.'/wp-admin/post-new.php">تدوينة جديدة</a></li>';
	}
	if($check[2] == "CHECKED" && $val == "2"){
$link[2]= '<li><a href="'.$wp_url.'/wp-admin/edit.php">تحرير التدوينات</a></li>';
	}
	if($check[3] == "CHECKED" && $val == "3"){
$link[3]= '<li><a href="'.$wp_url.'/wp-admin/themes.php">القوالب</a></li>';
	}
	if($check[4] == "CHECKED" && $val == "4"){
$link[4]= '<li><a href="'.$wp_url.'/wp-admin/options-general.php">الاعدادات العامة</a></li>';
	}
	if($check[5] == "CHECKED" && $val == "5"){
$link[5]= '<li><a href="'.$wp_url.'/wp-admin/users.php">الأعضاء</a></li>';
	}
	if($check[6] == "CHECKED" && $val == "6"){
$link[6]= '<li><a href="'.$wp_url.'/wp-admin/profile.php">الملف الشخصي</a></li>';
	}
	if($check[7] == "CHECKED" && $val == "7"){
$link[7]="<li><a href=\"".wp_logout_url(urlencode(get_bloginfo('url')))."\">خروج</a></li>";	
	}
 	}
 	
 	$head = '<ul class="menu">';
	
 	
 	$foot =  "</ul>";
$links = implode('',$link);
	return $head.$links.$foot;
}

###Function: UserLogin Widget
function widget_userlogin($args) {
  extract($args);
	$wp_url = get_settings('siteurl');

	echo $before_widget ;
	global $user_ID, $user_identity, $user_level;
 //If user ID is present print out the options
	if ( isset($user_ID) ) {
		$title = get_option('set_log');	
	
	if ( $user_level >= 8 ){
		$options = user_permissions('0,1,2,3,4,5,6,7');
	}
	
	elseif( $user_level >= 5 && $user_level < 8 ){
		$options = user_permissions('0,1,2,5,6,7');
	}
		
	elseif( $user_level >= 1 && $user_level < 5 ){
		$options = user_permissions('0,1,6,7');
	}
	
	elseif($user_level == 0 ){
		$options = user_permissions('0,6,7');
	}
}		

//If no user ID is present show registration link and login form
	elseif ( !isset($user_ID) ){
		$title = get_option('set_nonlog');


		if(get_option('redirect') != ""){
			$redir = get_option('redirect');
		}
		else{
			$redir = get_bloginfo('url');
		}

		$form = " 
		<ul> <li>
		<form name=\"loginform\" id=\"loginform\" action=\"".$wp_url ."/wp-login.php\" method=\"post\">
                 <label for=\"log\">اسم الدخول<br />
				 <div style=\"text-align: center;\"><input type=\"text\" name=\"log\" id=\"log\" value=\"".  wp_specialchars(stripslashes($user_login), 1) ."\" size=\"20\" /></div></label>
				<label for=\"pwd\">كلمة المرور<br />
				<div style=\"text-align: center;\"><input type=\"password\" name=\"pwd\" id=\"pwd\" size=\"20\" /></div></label>
				<input type=\"hidden\" name=\"redirect_to\" value=\"".$redir."\" />";

//If WP-OpenID plugin is found active show OpenID login field
// WP-OpenID plugin can be found at (http://wordpress.org/extend/plugins/openid/)
	if(function_exists('openid_input')){
        $openid = openid_input();
        $openid = '<label for="openid_url">'.preg_replace('/\input/','input size="11"',$openid).'<br /><a href="http://openid.net/what/" target="_blank"><small>تعلم المزيد عن OpenID</small></a></label>';
	}
	else{
	$openid = "";
	}
	
//Build Submit button, Remember Me box, and links for registations and forgotten password
	$remember = "<label for=\"rememberme\"><input name=\"rememberme\" id=\"rememberme\" type=\"checkbox\" checked=\"checked\" value=\"forever\" /> تذكرني</label>
	<div style=\"text-align: center;\"><input type=\"submit\" name=\"submit\" value=\"دخول &raquo;\" class=\"button\" /></div>";
	if(get_option('users_can_register')) {
		$register =  "\n<a href=\"". $wp_url ."/wp-register.php\">تسجيل</a>";
	}
	
	else{
		$register = "";
	}
	
	$recover = "\n<a href=\"". $wp_url ."/wp-login.php?action=lostpassword\">هل نسيت كلمة المرور ؟</a>
	</form>
	</li></ul>
	";
	
	$submit = $remember.$register.$recover;

//Cobble the form, OpenID option, and submission together
$options = $form.$openid.$submit;
	}
	
//Build widget based on login status and user role
		echo $before_title
		. $title
		. $after_title
		. $options;


get_option('users_can_register');

	echo $after_widget;
}
//Register Sidebar Widget
register_sidebar_widget('User Login','widget_userlogin');		
}
### Function: Load the DB info on activation
register_activation_hook( __FILE__, 'initial_db' );
### Function: Load The WP-UserLogin Widget
add_action('plugins_loaded', 'widget_userlogin_init');

?>